<div class="header"> 
    Weather Forecast
</div>
<div class="location"><span >Location: </span><input type="text" ng-blur="fetchWeatherData()" ng-model="location"/></div>
<ks-swiper-container swiper="daySwiper" id="days-swiper-container" initial-slide="0" loop="false" show-nav-buttons="false"
    slides-per-view="5" space-between="1" on-ready="onReadySwiper(swiper)">
    <ks-swiper-slide class="swiper-slide" ng-repeat="(date, hours) in weatherData"  ng-click="onDaySelection(hours)">
        <div>{{date| date : 'EEE'}}</div>
    </ks-swiper-slide>
    </ks-swiper-container>
    <ks-swiper-container   swiper="hourSwiper" id="hours-swiper-container" initial-slide="0" loop="false" show-nav-buttons="true" slides-per-view="1 " on-ready="onReadySwiper(swiper)">
        <ks-swiper-slide class="swiper-slide " ng-repeat="hour in hoursData ">
            <div class="hoursContainer">
<div class="title">{{hour.dt_txt.replace(' ','T')| date : 'EEE, MMM dd'}}</div>
<div class="title2">{{hour.dt_txt.replace(' ','T')| date : 'hh:mm a'}}</div>
<table class="tempTable">
    <tr class="headerRow"><td>Temp (&#8451;)</td><td>Min/Max Temp (&#8451;)</td><td>Humidity</td></tr>
<tr><td>{{hour.main.temp}}</td><td>{{hour.main.temp_min+' / '+hour.main.temp_max}} </td><td>{{hour.main.humidity}}% </td></tr></table>

<table class="descTable"><tr><td ><img class="image" ng-src="http://openweathermap.org/img/w/{{hour.weather[0].icon}}.png"/></td><td  class="description">{{hour.weather[0].description}}</td></tr> </table>
            </div>
        </ks-swiper-slide>
        </ks-swiper-container>
